# Index history (/api-reference/indices/index-history)

## Index history

`GET https://data.tryopengrid.com/v1/indices/{index_id}/history`

Stored index levels over a window.

### Parameters

- `index_id` (path, required, string): Index id, e.g. `h100-80gb-sxm5` (index ids are frozen, see IDs).
- `window` (query, string)
- `interval` (query, any)
- `OpenGrid-Version` (header, string): The API version to shape the response for. Default: the version pinned to your key.

### Response `data`

- `index` (string)
- `index_name` (string)
- `interval` (string)
- `points` (array of object)
  - `constituents` (number)
  - `level` (null | number)
  - `link_constituents` (null | number)
  - `published` (boolean)
  - `raw_level` (number)
  - `reason` (null | string)
  - `segment_no` (null | number)
  - `t` (string)
- `unit` (string)
- `window` (string)

Every success is `{"data": ..., "meta": {as_of, api_version, request_id, next_cursor?}}`.

### Example

```bash
curl "https://data.tryopengrid.com/v1/indices/h100-80gb-sxm5/history" \
  -H "Authorization: Bearer $OPENGRID_API_KEY"
```